VERSION 5.00
Begin VB.Form frmMain 
   Caption         =   "ImgMapDemo"
   ClientHeight    =   6105
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   7080
   LinkTopic       =   "Form1"
   ScaleHeight     =   6105
   ScaleWidth      =   7080
   WindowState     =   2  'Maximiert
   Begin VB.Frame fraShow 
      BackColor       =   &H8000000C&
      BorderStyle     =   0  'Kein
      Height          =   2775
      Left            =   4620
      TabIndex        =   2
      Top             =   0
      Width           =   2295
      Begin VB.Label labName 
         AutoSize        =   -1  'True
         BackStyle       =   0  'Transparent
         BeginProperty Font 
            Name            =   "MS Sans Serif"
            Size            =   13.5
            Charset         =   0
            Weight          =   700
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         ForeColor       =   &H00FFFFFF&
         Height          =   360
         Left            =   120
         TabIndex        =   3
         Top             =   0
         Width           =   105
      End
      Begin VB.Image imgShow 
         Appearance      =   0  '2D
         Height          =   975
         Left            =   240
         Top             =   600
         Width           =   1095
      End
   End
   Begin VB.PictureBox picEurope 
      Appearance      =   0  '2D
      AutoSize        =   -1  'True
      BackColor       =   &H80000005&
      BorderStyle     =   0  'Kein
      ForeColor       =   &H80000008&
      Height          =   5595
      Left            =   0
      MouseIcon       =   "frmMain.frx":0000
      Picture         =   "frmMain.frx":0152
      ScaleHeight     =   373
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   308
      TabIndex        =   0
      Top             =   0
      Width           =   4620
   End
   Begin VB.Label labFill 
      BackColor       =   &H00FFFFFF&
      Caption         =   "Um die Karte eines bestimmten Landes zu sehen, bitte farbige Flche anklicken"
      Height          =   375
      Left            =   0
      TabIndex        =   1
      Top             =   5595
      Width           =   4620
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private MyRgns As cRegions


Private Sub Form_Load()
  '---- Regionen laden
  Set MyRgns = New cRegions
  MyRgns.Import App.Path & "\europa.rgn"
  '---- Vorbelegung
  LoadCountry "Deutschland", "germany.jpg"
End Sub


'==== CONTROLS ====================

Private Sub picEurope_MouseMove(ByRef Button As Integer, _
                                ByRef Shift As Integer, _
                                ByRef X As Single, ByRef Y As Single)
  Dim rgn As cRegion
  '
  Set rgn = HitRgn(X, Y)
  If (rgn Is Nothing) Then
    picEurope.ToolTipText = ""
    picEurope.MousePointer = vbDefault
  Else
    picEurope.ToolTipText = rgn.Title
    picEurope.MousePointer = vbCustom
  End If
End Sub

Private Sub picEurope_MouseUp(ByRef Button As Integer, _
                              ByRef Shift As Integer, _
                              ByRef X As Single, ByRef Y As Single)
  Dim rgn As cRegion
  '
  Set rgn = HitRgn(X, Y)
  If (rgn Is Nothing) Then Exit Sub
  LoadCountry rgn.Title, rgn.Tag
End Sub


'==== STUFF ====================

Private Sub LoadCountry(ByVal sTitle As String, _
                        ByVal picName As String)
  labName = sTitle
  imgShow.Picture = LoadPicture(App.Path & "\..\maps\" & picName)
  CenterCountry
End Sub

Private Sub CenterCountry()
  imgShow.Move (fraShow.Width - imgShow.Width) \ 2, _
               (ScaleHeight - imgShow.Height) \ 2
End Sub

Private Function HitRgn(ByVal X As Long, _
                        ByVal Y As Long) As cRegion
  Dim i As Long
  '
  For i = 0 To MyRgns.Count - 1
    Set HitRgn = MyRgns.Item(i)
    If (HitRgn.Hit(X, Y)) Then Exit Function
  Next
  Set HitRgn = Nothing
End Function


'==== FORM ====================

Private Sub Form_Resize()
  Dim i As Long
  '
  If (WindowState = vbMinimized) Then Exit Sub
  '---- labFill
  i = ScaleHeight - picEurope.Height
  If (i < 1) Then i = 1
  labFill.Height = i
  '---- fraShow
  i = ScaleWidth - picEurope.Width
  If (i < 1) Then i = 1
  fraShow.Width = i
  fraShow.Height = ScaleHeight
  '---- labName
  labName.Width = fraShow.Width
  '---- imgShow
  CenterCountry
End Sub

